


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ListTimeEntriesCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: ListTimeEntriesCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ListTimeEntriesCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 18)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.TimeEntryService;
<i>6</i>&nbsp;
<i>7</i>&nbsp;import java.util.Set;
<i>8</i>&nbsp;
<i>9</i>&nbsp;public class ListTimeEntriesCommand implements Command {
<i>10</i>&nbsp;    private final TimeEntryService timeEntryService;
<i>11</i>&nbsp;    private final ApplicationContext applicationContext;
<i>12</i>&nbsp;
<b class="nc"><i>13</i>&nbsp;    public ListTimeEntriesCommand(TimeEntryService timeEntryService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>14</i>&nbsp;        this.timeEntryService = timeEntryService;</b>
<b class="nc"><i>15</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>16</i>&nbsp;    }</b>
<i>17</i>&nbsp;
<i>18</i>&nbsp;    @Override
<i>19</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>20</i>&nbsp;        return &quot;list-time-entries&quot;;</b>
<i>21</i>&nbsp;    }
<i>22</i>&nbsp;
<i>23</i>&nbsp;    @Override
<i>24</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>25</i>&nbsp;        return &quot;Get a list of time entries for a given task using parameters:\n-f from a given time\n -t to a given time&quot; +</b>
<i>26</i>&nbsp;                &quot;\nExample of usage:\nlist-time-entries -f \&quot;01/01/2019 12:00\&quot; -t \&quot;31/12/2019 12:00\&quot;&quot;;
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;
<i>29</i>&nbsp;    @Override
<i>30</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>31</i>&nbsp;        return Utils.newHashSet(</b>
<i>32</i>&nbsp;                new Parameter(&quot;f&quot;),
<i>33</i>&nbsp;                new Parameter(&quot;t&quot;)
<i>34</i>&nbsp;        );
<i>35</i>&nbsp;    }
<i>36</i>&nbsp;
<i>37</i>&nbsp;    @Override
<i>38</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>39</i>&nbsp;        return CommandGroup.GENERAL;</b>
<i>40</i>&nbsp;    }
<i>41</i>&nbsp;
<i>42</i>&nbsp;    @Override
<i>43</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>44</i>&nbsp;        if(timeEntryService.listTimeEntries(</b>
<b class="nc"><i>45</i>&nbsp;                parsedCommand.get(&quot;f&quot;),</b>
<b class="nc"><i>46</i>&nbsp;                parsedCommand.get(&quot;t&quot;),</b>
<b class="nc"><i>47</i>&nbsp;                applicationContext.getUserContextOrThrow()).isEmpty()) {</b>
<b class="nc"><i>48</i>&nbsp;            System.out.println(&quot;No time entries found with the given parameters.&quot;);</b>
<i>49</i>&nbsp;        } else {
<b class="nc"><i>50</i>&nbsp;            System.out.println(timeEntryService.listTimeEntries(</b>
<b class="nc"><i>51</i>&nbsp;                    parsedCommand.get(&quot;f&quot;),</b>
<b class="nc"><i>52</i>&nbsp;                    parsedCommand.get(&quot;t&quot;),</b>
<b class="nc"><i>53</i>&nbsp;                    applicationContext.getUserContextOrThrow()));</b>
<i>54</i>&nbsp;        }
<b class="nc"><i>55</i>&nbsp;    }</b>
<i>56</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
